Bug 524234 - import SOAP::Data qw(type) should be replaced in 3.4 RH Webservices code
Summary: import SOAP::Data qw(type) should be replaced in 3.4 RH Webservices code
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 3.4
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Noura El hawary
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHBZ34UpgradeTracker
TreeView+ depends on / blocked
 
Reported: 2009-09-18 13:37 UTC by Noura El hawary
Modified: 2013-06-24 04:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 19:36:16 UTC


Attachments (Terms of Use)
Patch to move type() to $self->type() for current code (v1) (24.62 KB, patch)
2009-10-05 16:44 UTC, David Lawrence
nelhawar: review+
Details | Diff

Description Noura El hawary 2009-09-18 13:37:07 UTC
Upstream has replaced the type function imported from SOAP::Data in their webservices code previously as the following:
import SOAP::Data qw(type) 

with new function Bugzilla::WebService::type that takes the type and the value as its parameters, all the RH added code and extensions should also be changed similar to upstream webservices code to be consistent and to avoid failures.

Noura

Comment 1 Noura El hawary 2009-10-05 12:29:04 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=437617

Comment 2 David Lawrence 2009-10-05 16:44:39 UTC
Created attachment 363711 [details]
Patch to move type() to $self->type() for current code (v1)

Hey Noura. Here is a patch for this if you haven't started yet. Let me know if looks good.

I will need to file another bug for future that states that we need to audit all of the webservice code to properly call $self->type() for all return values where possible. In alot of places we are still returning either standard Bugzilla objects or values that are not using $self->type(). The attached patch just fixes the current type() calls for the most part.

Dave

Comment 3 Noura El hawary 2009-10-06 10:06:25 UTC
Comment on attachment 363711 [details]
Patch to move type() to $self->type() for current code (v1)

Patch looks good David. 

Thanks,
Noura

Comment 4 David Lawrence 2009-10-06 19:36:16 UTC
Thanks Noura


Note You need to log in before you can comment on or make changes to this bug.